AUTOMOUNTD(8)

NAME
automountd - daemon handling autofs mount requests

SYNOPSIS
automountd [-div] [-D name=value] [-m maxproc] [-o options]

DESCRIPTION
The automountd daemon is responsible for handling autofs(5) mount requests, parsing maps, and mounting file systems they specify. On startup, automountd forks into background and waits for kernel requests. When a request is received, automountd forks a child process. The child process parses the appropriate map and mounts file systems accordingly. Then it signals the kernel to release blocked processes that were waiting for the mount.

-D  Define a variable.

-d  Debug mode: increase verbosity and do not daemonize.

-i  For indirect mounts, only create subdirectories if there are no wildcard entries. Without -i, automountd creates all the subdirectories it can. Users may not realize that the wildcard map entry makes it possible to access directories that have not yet been created.

-m maxproc
    Limit the number of forked automountd processes, and thus the number of mount requests being handled in parallel. The default is 30.

-o options
    Specify mount options. Options specified here will be overridden by options entered in maps or auto_master(5).

-v  Increase verbosity.

EXIT STATUS

SEE ALSO
auto_master(5), autofs(5), automount(8), autounmountd(8)

HISTORY
The automountd daemon appeared in FreeBSD 10.1. The automountd daemon appeared in DragonFly 4.5. The automountd command appeared in NetBSD 9.0.

AUTHORS
-nosplit The automountd was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.

automountd was ported to DragonFly and NetBSD by Tomohiro Kusumi <kusumi.tomohiro@gmail.com>.